<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <LangVersion>default</LangVersion>
        <TargetFramework>net9.0</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <DefineConstants>TRACE;FANTASY_NET</DefineConstants>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <DefineConstants>TRACE;FANTASY_NET</DefineConstants>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Fantasy\Fantasy.Net\Fantasy.Net\Fantasy.Net.csproj" />
      <ProjectReference Include="..\Fantasy\Fantasy.Packages\Fantasy.ConfigTable\Net\Fantasy.ConfigTable.csproj" />
      <ProjectReference Include="..\ThirdParty\ThirdParty.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="8.12.1" />
      <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.12.1" />
      <PackageReference Include="ToolGood.Words" Version="3.1.0.2" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Game\Shop\" />
      <Folder Include="Generate\ConfigTable\Entity\" />
      <Folder Include="Generate\ConfigTable\Partial\" />
      <Folder Include="Social\Entity\" />
      <Folder Include="Social\Mail\" />
    </ItemGroup>

</Project>
